loki_helm_values:
  loki:
    enabled: true

  promtail:
    enabled: true

  fluent-bit:
    enabled: false

  grafana:
    enabled: false
    sidecar:
      datasources:
        enabled: true
    image:
      tag: 6.7.0

  prometheus:
    enabled: false

  filebeat:
    enabled: false
    filebeatConfig:
      filebeat.yml: |
        # logging.level: debug
        filebeat.inputs:
        - type: container
          paths:
            - /var/log/containers/*.log
          processors:
          - add_kubernetes_metadata:
              host: ${NODE_NAME}
              matchers:
              - logs_path:
                  logs_path: "/var/log/containers/"
        output.logstash:
          hosts: ["logstash-loki:5044"]

  logstash:
    enabled: false
    image: grafana/logstash-output-loki
    imageTag: 1.0.1
    filters:
      main: |-
        filter {
          if [kubernetes] {
            mutate {
              add_field => {
                "container_name" => "%{[kubernetes][container][name]}"
                "namespace" => "%{[kubernetes][namespace]}"
                "pod" => "%{[kubernetes][pod][name]}"
              }
              replace => { "host" => "%{[kubernetes][node][name]}"}
            }
          }
          mutate {
            remove_field => ["tags"]
          }
        }
    outputs:
      main: |-
        output {
          loki {
            url => "http://loki:3100/loki/api/v1/push"
            #username => "test"
            #password => "test"
          }
          # stdout { codec => rubydebug }
        }
